%define _libexecdir %{_prefix}/libexec

Name:          gwyddion
Version:       2.44
Release:       %mkrel 1
Summary:       An SPM data visualization and analysis tool
Group:         Sciences/Physics
License:       GPL-2.0
URL:           http://gwyddion.net/
Source0:       http://gwyddion.net/download/%{version}/%{name}-%{version}.tar.xz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}
#-------------------------------------------------
BuildRequires: gawk
BuildRequires: GConf2
BuildRequires: gettext
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtksourceview2-2.0_0-devel
BuildRequires: %{_lib}ilmbase-devel
BuildRequires: %{_lib}OpenEXR-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}unique-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xmu-devel
BuildRequires: mesa-devel
BuildRequires: pygtk2.0-devel
BuildRequires: python-gobject-devel
BuildRequires: rubygem-bigdecimal
BuildRequires: rubygem-io-console 
BuildRequires: rubygem-json
BuildRequires: rubygem-psych
BuildRequires: rubygem-rdoc
BuildRequires: rubygems
BuildRequires: ruby-libs
BuildRequires: ruby
BuildRequires: zlib1-devel
#-------------------------------------------------

%description
Gwyddion is a modular SPM (Scanning Probe Microsopy) data visualization and
analysis tool written with Gtk+.

It can be used for all most frequently used data processing operations
including: leveling, false color plotting, shading, filtering, denoising, data
editing, integral transforms, grain analysis, profile extraction, fractal
analysis, and many more.  The program is primarily focused on SPM data analysis
(e.g. data obtained from AFM, STM, NSOM, and similar microscopes).  However, it
can also be used for analysis of SEM (Scanning Electron Microscopy) data or any
other 2D data.

%package devel
Summary:       Headers, libraries and tools for Gwyddion module development
Group:         Development/Libraries
Requires:      %{name} = %{version}

%description devel
Header files, libraries and tools for Gwyddion module and plug-in development.
This package also contains the API docmentation and sample plug-ins in various
programming languages.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}

%description doc
Documentation files for %{name}.


%prep
%setup -q

%build

#use old style configure here
./configure --prefix=/usr --libdir=%{_libdir} --includedir=/usr/include --sysconfdir=/etc

%make


%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}

# fixed libtool with some crap.
find %{buildroot} -name \*.la -print0 | xargs -0 rm -f

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(755,root,root)
%{_bindir}/*
%{_mandir}
%{_datadir}/%{name}
%{_libdir}/*.so.*
%{_libdir}/gwyddion/modules
%{_libexecdir}/gwyddion
%{_datadir}/applications/gwyddion.desktop
%{_datadir}/gtksourceview-2.0/language-specs/pygwy.lang
%{_datadir}/icons/hicolor/48x48/apps/gwyddion.png
%{_datadir}/mime/packages/gwyddion.xml
%{_datadir}/thumbnailers/gwyddion.thumbnailer
%{_libdir}/gwyddion/perl/
%{_libdir}/gwyddion/python
%{_libdir}/python2.*/site-packages/gwy.so
%{_libdir}/gwyddion/ruby/gwyddion/dump.rb
%config(noreplace) %{_sysconfdir}/gconf/schemas

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/gwyddion/include/gwyconfig.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/gwyddion.pc 

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc


%changelog
* Fri Jan 29 2016 bb <bb> 2.44.0-1pclos2016
- import into pclos